---
title: DOMString
slug: Web/API/DOMString
tags:
  - API
  - DOM
  - Reference
  - String
---
<div>{{APIRef("DOM")}}</div>

<p>A <strong><code>DOMString</code></strong> is a sequence of 16-bit unsigned integers, typically interpreted as UTF-16 <a href="http://www.unicode.org/glossary/#code_unit">code units</a>. This corresponds exactly to the JavaScript <a href="https://tc39.es/ecma262/#sec-ecmascript-language-types-string-type">primitive String type</a>. When a <code>DOMString</code> is provided to JavaScript, it maps directly to the corresponding {{jsxref("String")}}.</p>

<p>When a Web API accepts a <code>DOMString</code>, the value provided will be stringified, using the <code><a href="https://tc39.es/ecma262/#sec-tostring">ToString</a></code> abstract operation. (For types other than Symbol, this has the same behavior as the {{jsxref("String/String", "String()")}} function.)</p>

<p>Certain Web APIs accepting a <code>DOMString</code> have an additional legacy behavior, where passing {{jsxref("null")}} stringifies to the empty string instead of the usual <code>"null"</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebIDL', '#idl-DOMString', 'DOMString')}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('WebIDL', '#es-DOMString')}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td>This defines how JavaScript values are converted to <code>DOMString</code> and vice versa.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>JavaScript {{jsxref("String")}}</li>
 <li>{{domxref("USVString")}}</li>
 <li>{{domxref("CSSOMString")}}</li>
 <li><a href="/en-US/docs/Web/API/DOMString/Binary">Binary strings</a></li>
</ul>
